=== debian/changelog ===
dde-session-ui (6.0.28) unstable; urgency=medium

  * fix: dde-blackwidget收到kill信号后直接退出,解决重新时卡logo的问题

 -- fuleyi <fuleyi@uniontech.com>  Thu, 08 May 2025 13:14:03 +0800

dde-session-ui (6.0.27) unstable; urgency=medium

  * chore: remove startdde dependency

 -- fuleyi <fuleyi@uniontech.com>  Wed, 02 Apr 2025 11:29:43 +0800

dde-session-ui (6.0.26) unstable; urgency=medium

  * fix: Low battery window not translated

 -- Robertkill <lvpeilong@uniontech.com>  Tue, 10 Feb 2025 09:34:50 +0800

dde-session-ui (6.0.25) unstable; urgency=medium

  * 6.0.25

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 24 Jan 2025 10:57:05 +0800

dde-session-ui (6.0.24) unstable; urgency=medium

  * chore: remove the dependence of pandoc
  * chore: add dde-blackscreen (Bug: 288227)

 -- Chengqi E <echengqi@deepin.org>  Sat, 14 Dec 2024 14:12:25 +0800

dde-session-ui (6.0.23) unstable; urgency=medium

  * fix: window removes its own display animation (#379)(Issue: 9728)
  * fix: Adapt user experience plan agreement md format document (#380)(Bug: 281497)
  * fix: add run Depends pandoc analysis .md file (#381)(Bug: 281497)
  * chore: adapt to qt6 (#382)(Task: 367947)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 10:53:25 +0800
