=== debian/changelog ===
dde-session-ui (6.0.30) unstable; urgency=medium

  * chore: remove regional variants for es language
  * fix(license): reuse lint
  * fix: incorrect way to load translations

 -- WuJiangYu <wujiangyu@uniontech.com>  Mon, 23 Jun 2025 17:16:44 +0800

dde-session-ui (6.0.29) unstable; urgency=medium

  * fix: Display name truncation

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 29 May 2025 13:37:26 +0800
