=== debian/control ===
Source: dde-session-ui
Section: devel
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends: debhelper (>= 8.0.0), pkg-config,
 cmake,
 qt6-base-dev,
 qt6-svg-dev,
 qt6-tools-dev,
 libxcb-ewmh-dev,
 libxcb1-dev,
 libx11-dev,
 libdtk6widget-dev,
 libdtk6core-bin,
 libsystemd-dev,
 libgtest-dev,
 libgmock-dev,
 libdeepin-pw-check-dev,
 libgio-qt-dev,
 libxext-dev,
 systemd-dev
Standards-Version: 3.9.4
Homepage: http://www.deepin.org/

Package: dde-session-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends},
 deepin-desktop-schemas (>= 5.9.14),
 dde-daemon (>=6.1.26),
 x11-xserver-utils,
 dbus-user-session,
 dde-session-shell
Provides: lightdm-greeter
Recommends: onboard
Conflicts: dde-workspace,
 startdde (<< 2.91.1),
 dde-control-center (<<6.0.0.1),
 deepin-notifications
Replaces: deepin-notifications
Breaks: dde-workspace, startdde(<< 2.91.1), dde-control-center (<<6.0.0.1)
Description: deepin desktop-environment - dde-session-ui module
 Deepin desktop environment 2015 - dde-session-ui module.
