## dde-session-ui 6.0.31

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,6 @@
 
 set(QT_VERSION_MAJOR 6)
 set(DTK_VERSION_MAJOR 6)
-
-# 增加安全编译参数
-ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     add_compile_options(-fsanitize=address)
