=== debian/changelog ===
dde-session-ui (6.0.31) unstable; urgency=medium

  * refactor: move security flags to debian/rules

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:55:35 +0800
