=== dde-blackwidget/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 set(Blackwidget_Name dde-blackwidget)
 file(GLOB_RECURSE Blackwidget_SRCS
     "src/*.h"
