=== debian/changelog ===
dde-session-ui (6.0.35) unstable; urgency=medium

  * i18n: [dde-session-ui] Updates for project Deepin Desktop
    Environment (#409)
  * fix: Delete dnetwork-secret-dialog
  * fix: Add titlebar option

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 16:01:07 +0800

dde-session-ui (6.0.34) unstable; urgency=medium

  * i18n: [dde-session-ui] Updates for project Deepin Desktop
    Environment (#408)
  * chore: sync ts file from transifex, add transifex.yaml

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 10 Oct 2025 17:29:38 +0800

dde-session-ui (6.0.33) unstable; urgency=medium

  * fix: Fix qt default translation not loading
  * fix: set DSG_APP_ID environment variable

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 21 Aug 2025 19:47:22 +0800
